//load settings from the internal EEPROM
void loadSettings() {
    //check for the digital sign, if present the EEPROM should contain stored settings
    //if not present, this is the first start of the code
    if (EEPROM.read(EEPROM_SETTINGS_ADDRESS) != 42) { //special value not found - first run
        //format EEPROM and reset everything
        EEPROM.write(EEPROM_SETTINGS_ADDRESS, 42); //digital sign
        EEPROM.write(EEPROM_SETTINGS_ADDRESS + 1, 0); //store the initial value for amb_light mode
        EEPROM.write(EEPROM_SETTINGS_ADDRESS + 2, 0); //store the initial value for night mode
    }
    //load stored settings
    FOLLOW_AMB_LIGHT = EEPROM.read(EEPROM_SETTINGS_ADDRESS + 1); //load the amb_light mode
    NIGHT_MODE = EEPROM.read(EEPROM_SETTINGS_ADDRESS + 2); //load the night mode
}


//save settings to EEPROM
void saveSettings() {
    EEPROM.write(EEPROM_SETTINGS_ADDRESS, 42); //write the digital sign
    EEPROM.write(EEPROM_SETTINGS_ADDRESS + 1, FOLLOW_AMB_LIGHT); //store the amb_light mode
    EEPROM.write(EEPROM_SETTINGS_ADDRESS + 2, NIGHT_MODE); //store the night mode
}



